ISPHONOGRAM(3)

NAME
isphonogram, isphonogram_l - phonographic character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isphonogram(int c);
int
isphonogram_l(int c, locale_t loc);

DESCRIPTION
The isphonogram() and isphonogram_l() functions test for a phonographic character.

The isphonogram_l() function takes an explicit locale argument, whereas the isphonogram() function uses the current global or per-thread locale.

RETURN VALUES
The isphonogram() and isphonogram_l() functions return zero if the character tests false and return non-zero if the character tests true.

SEE ALSO
ctype(3), ctype_l(3), isideogram(3), isideogram_l(3), iswphonogram(3), iswphonogram_l(3), xlocale(3)

HISTORY
The isphonogram() function appeared in 4.4BSD.